# Plugin to write out a CSV file listing the PID of each object, its
# content model, and its label.
def execute(dir, pid, cmodel, label):
    import os
    import csv
    manifest_entry = [pid, cmodel, label]
    path = os.path.dirname(dir)
    manifest_file = open(os.path.join(path, 'manifest.csv'), 'a')
    manifest_writer = csv.writer(manifest_file)
    manifest_writer.writerow(manifest_entry)
    manifest_file.close()
